/*  ***********************************
    Widget Sizes 
    All widgets will be styled with 
    idealake_widget_box. One of the 
    other styles may be applied after
    that.
    ***********************************/
.idealake_widget { width: 125px; height: 125px; margin-right: 6px; margin-bottom: 6px; float: left; position: relative; overflow: hidden; }

.idealake_widget.widthdouble { width: 256px; }

.idealake_widget.widthtriple { width: 387px; }

.idealake_widget.widthquadruple { width: 518px; }

.idealake_widget.widthquintuple { width: 649px; }

.idealake_widget.widthsextuple { width: 780px; }

.idealake_widget.heightdouble { height: 256px; }

.idealake_widget.heighttriple { height: 387px; }

.idealake_widget.heightquadruple { height: 518px; }

.idealake_widget.heightquintuple { height: 649px; }

.idealake_widget.heightsextuple { height: 780px; }

.idealake_widget.orientation_right { float: right; }

.idealake_widget.showinline { display: inline; width: auto; height: auto; }

/* *************************************
       Content inside widgets are placed in
       elements styled with 'box'.
   ************************************* */
.idealake_widget .box { width: 100%; height: 100%; padding: 0px; margin: 0px; /*max-width:100%;*/ }

.idealake_widget .box.widthdouble { width: 256px; }

.idealake_widget .box.widthtriple { width: 387px; }

.idealake_widget .box.widthquadruple { width: 518px; }

.idealake_widget .box.widthquintuple { width: 649px; }

.idealake_widget .box.widthsextuple { width: 780px; }

.idealake_widget .box.heightdouble { height: 256px; }

.idealake_widget .box.heighttriple { height: 387px; }

.idealake_widget .box.heightquadruple { height: 518px; }

.idealake_widget .box.heightquintuple { height: 649px; }

.idealake_widget .box.heightsextuple { height: 780px; }

.idealake_widget .box img.boximg.fill { padding: 0; margin: 0; width: auto; height: auto; display: block; max-width: 100%; height: 100%; }

.idealake_widget .box img.boximg { padding: 12px; display: block; position: absolute; left: 0; top: 0; z-index: 10; width: 25px; height: 25px; overflow: hidden; }

.idealake_widget .box img.boximg.medium { height: 40px; width: 40px; }

.idealake_widget .box img.boximg.large { height: 55px; width: 55px; }

.idealake_widget .box img.boximg.har { left: 100%; margin-left: -49px; }

.idealake_widget .box img.boximg.har.medium { margin-left: -64px; }

.idealake_widget .box img.boximg.har.large { margin-left: -79px; }

.idealake_widget .box img.boximg.hac { left: 50%; margin-left: -24px; }

.idealake_widget .box img.boximg.hac.medium { margin-left: -32px; }

.idealake_widget .box img.boximg.hac.large { margin-left: -34px; }

.idealake_widget .box img.boximg.vab { top: 100%; margin-top: -49px; }

.idealake_widget .box img.boximg.vab.medium { margin-top: -64px; }

.idealake_widget .box img.boximg.vab.large { margin-top: -79px; }

.idealake_widget .box img.boximg.vac { top: 50%; margin-top: -24px; }

.idealake_widget .box img.boximg.vac.medium { top: 50%; margin-top: -32px; }

.idealake_widget .box img.boximg.vac.large { top: 50%; margin-top: -39px; }



.idealake_widget .box .boxcontent { position: absolute; padding: 10px; left: 0px; top: 0px; width: 105px; }

.idealake_widget .box .boxcontent.vab { top: auto; left: 0px; bottom: 0px; line-height: 15px; }



.idealake_widget.widthdouble .box .boxcontent, .idealake_widget .box.widthdouble .boxcontent { position: absolute; padding: 10px; left: 0px; top: 0px; width: 236px; }

.idealake_widget.widthdouble .box .boxcontent.vab, .idealake_widget .box.widthdouble .boxcontent.vab { top: auto; left: 0px; bottom: 0px; line-height: 15px; }

.idealake_widget.widthtriple .box .boxcontent, .idealake_widget .box.widthtriple .boxcontent { position: absolute; padding: 10px; left: 0px; top: 0px; width: 367px; }

.idealake_widget.widthtriple .box .boxcontent.vab, .idealake_widget .box.widthtriple .boxcontent.vab { top: auto; left: 0px; bottom: 0px; line-height: 15px; }


.idealake_widget.widthquadruple .box .boxcontent, .idealake_widget .box.widthquadruple .boxcontent { position: absolute; padding: 10px; left: 0px; top: 0px; width: 498px; }

.idealake_widget.widthquadruple .box .boxcontent.vab, .idealake_widget .box.widthquadruple .boxcontent.vab { top: auto; left: 0px; bottom: 0px; line-height: 15px; }

.idealake_widget.widthquintuple .box .boxcontent, .idealake_widget .box.widthquintuple .boxcontent { position: absolute; padding: 10px; left: 0px; top: 0px; width: 629px; }

.idealake_widget.widthquintuple .box .boxcontent.vab, .idealake_widget .box.widthquintuple .boxcontent.vab { top: auto; left: 0px; bottom: 0px; line-height: 15px; }


.idealake_widget.widthsextuple .box .boxcontent, .idealake_widget .box.widthsextuple .boxcontent { position: absolute; padding: 10px; left: 0px; top: 0px; width: 760px; }

.idealake_widget.widthsextuple .box .boxcontent.vab, .idealake_widget .box.widthsextuple .boxcontent.vab { top: auto; left: 0px; bottom: 0px; line-height: 15px; }


.idealake_widget .box .boxcontent.scrollablecontent { height: 105px; }

.idealake_widget.heightdouble .box .boxcontent.scrollablecontent, .idealake_widget .box.heightdouble .boxcontent.scrollablecontent { height: 236px; }

.idealake_widget.heighttriple .box .boxcontent.scrollablecontent, .idealake_widget .box.heighttriple .boxcontent.scrollablecontent { height: 367px; }

.idealake_widget.heightquadruple .box .boxcontent.scrollablecontent, .idealake_widget .box.heightquadruple .boxcontent.scrollablecontent { height: 498px; }

.idealake_widget.heightquintuple .box .boxcontent.scrollablecontent, .idealake_widget .box.heightquintuple .boxcontent.scrollablecontent { height: 629px; }

.idealake_widget.heightsextuple .box .boxcontent.scrollablecontent, .idealake_widget .box.heightsextuple .boxcontent.scrollablecontent { height: 760px; }

.idealake_widget .box .boxcontent.scrollablecontent .scrollable { padding-right: 10px; }

.idealake_widget .box .boxcontent.unpadded { padding: 0px !important; }

/* A tags immediately inside boxes should not be decorated or colored */
.idealake_widget .box > a, .idealake_widget .box > a:visited, .idealake_widget .box > a:hover { text-decoration: none; color: inherit !important; display: block; width: 100%; height: 100%; margin: 0px !important; padding: 0px !important; }


.idealake_widget .box.halfleft img.boximg { /*height: 100%;
    width: 50%;*/ height: 113px; width: 50px; margin: 0px; padding: 6px; left: 0; top: 0; position: relative; display: block; float: left; }

.idealake_widget .box.halfright img.boximg { /*height: 100%;
    width: 50%;*/ height: 113px; width: 50px; margin: 0px; padding: 6px; left: 0; top: 0; position: relative; display: block; float: right; }


.idealake_widget.heightdouble .box.halfleft img.boximg, .idealake_widget.heightdouble .box.halfright img.boximg { height: 244px; }

.idealake_widget.widthdouble .box.halfleft img.boximg, .idealake_widget.widthdouble .box.halfright img.boximg { width: 116px; }

.idealake_widget.heighttriple .box.halfleft img.boximg, .idealake_widget.heighttriple .box.halfright img.boximg { height: 375px; }

.idealake_widget.widthtriple .box.halfleft img.boximg, .idealake_widget.widthtriple .box.halfright img.boximg { width: 182px; }

.idealake_widget.heightquadruple .box.halfleft img.boximg, .idealake_widget.heightquadruple .box.halfright img.boximg { height: 506px; }

.idealake_widget.widthquadruple .box.halfleft img.boximg, .idealake_widget.widthquadruple .box.halfright img.boximg { width: 242px; }

.idealake_widget.heightquintuple .box.halfleft img.boximg, .idealake_widget.heightquintuple .box.halfright img.boximg { height: 637px; }

.idealake_widget.widthquintuple .box.halfleft img.boximg, .idealake_widget.widthquintuple .box.halfright img.boximg { width: 313px; }

.idealake_widget.heightsextuple .box.halfleft img.boximg, .idealake_widget.heightsextuple .box.halfright img.boximg { height: 768px; }

.idealake_widget.widthsextuple .box.halfleft img.boximg, .idealake_widget.widthsextuple .box.halfright img.boximg { width: 378px; }

.idealake_widget .box.halfleft .boxcontenthalfwrapper, .idealake_widget .box.halfright .boxcontenthalfwrapper { width: 50%; height: 100%; margin: 0px; padding: 0px; position: relative; float: left; }

.idealake_widget .box.halfleft .boxcontenthalfwrapper .boxcontent, .idealake_widget .box.halfright .boxcontenthalfwrapper .boxcontent { width: 100%; padding-left: 0px; padding-right: 0px; }

.idealake_widget .box.halfleft .boxcontenthalfwrapper .boxcontent > div, .idealake_widget .box.halfright .boxcontenthalfwrapper .boxcontent > div { padding-left: 6px; padding-right: 6px; }




/*Flip style start*/
.idealake_widget_flipper { -webkit-perspective: 4000; -moz-perspective: 4000; perspective: 4000; position: relative; overflow: visible; }

.idealake_widget_flipper .front_box { -webkit-backface-visibility: hidden; -moz-backface-visibility: hidden; backface-visibility: hidden; position: absolute; top: 0; left: 0; -webkit-transition: 0.6s; -webkit-transform-style: preserve-3d; -moz-transition: 0.6s; -moz-transform-style: preserve-3d; transition: 0.6s; transform-style: preserve-3d; z-index: 2; }

.idealake_widget_flipper .back_box { -webkit-transform: rotateY(180deg); -moz-transform: rotateY(180deg); transform: rotateY(180deg); -webkit-backface-visibility: hidden; -moz-backface-visibility: hidden; backface-visibility: hidden; position: absolute; top: 0; left: 0; -webkit-transition: 0.6s; -webkit-transform-style: preserve-3d; -moz-transition: 0.6s; -moz-transform-style: preserve-3d; transition: 0.6s; transform-style: preserve-3d; width: 100%; height: 100%; }

/*.idealake_widget_flipper:hover .front_box {
        -webkit-transform: rotateY(180deg);
        -moz-transform: rotateY(180deg);
        transform: rotateY(180deg);
    }

    .idealake_widget_flipper:hover .back_box {
        -webkit-transform: rotateY(360deg);
        -moz-transform: rotateY(360deg);
        transform: rotateY(360deg);
        z-index: 2;
    }*/


.autoflip .front_box { -webkit-transform: rotateY(180deg); -moz-transform: rotateY(180deg); transform: rotateY(180deg); }

.autoflip .back_box { -webkit-transform: rotateY(360deg); -moz-transform: rotateY(360deg); transform: rotateY(360deg); z-index: 2; }






/* Expander */
.idealake_widget_expander { }

.idealake_widget_expander .expander_box { /*visibility: hidden;*/ display: none; position: absolute; left: 0; top: 0; z-index: 101; /* To keep it above slim scroll */ overflow: hidden; }

.idealake_widget_expander .expander_box.leftdown { left: auto; right: 0; }

.idealake_widget_expander .expander_box.rightup { top: auto; bottom: 0; }

.idealake_widget_expander .expander_box.leftup { top: auto; left: auto; bottom: 0; right: 0; }

.idealake_widget_expander.expanded { overflow: visible !important; }

.idealake_widget_expander.expanded .front_box { /*visibility: hidden;*/ }

.idealake_widget_expander.expanded .back_box { visibility: hidden; }

.idealake_widget_expander.expanded .expander_box { /*visibility: visible;*/ display: block; }

/* Slider */
.idealake_widget_slider { }

.idealake_widget_slider .box { position: relative; }


/*News Box Widget*/
.news_box { font-size: 16px; /*padding: 1px 15px 0px 15px;*/ text-align: left; height: 100%; position: absolute; top: 100%; left: 0; line-height: 17px; overflow: hidden; padding-left: 6px; }

.news_box h1 { color: #fff; margin: 6px 0 6px 0; font-weight: bold; line-height: 23px; font-size: 22px; }

.news_box div { font-size: 16px; }

.news_box img { /*margin: 15px 0 10px 15px;*/ float: right; }



/* Banner        */
.banner { position: relative; height: 100%; overflow: hidden; }

.banner_container { position: absolute; left: 0; top: 0; }

.banner .banner_box { float: left; position: relative; width: 33.3333%; }

.banner ul.banner_point { text-align: center; position: absolute; right: 20px; bottom: 0; padding: 10px 0 5px 0; }

.banner ul.banner_point li { background: url(../images/bullet.png) no-repeat; width: 14px; height: 13px; display: inline-block; cursor: pointer; }

.banner ul.banner_point li.active { background: url(../images/bullet_active.png) no-repeat; }

.banner_box a { background-color: inherit; }

.bannercontent { background-color: inherit; padding: 10px; color: #fff; text-align: left; font-size: 16px; line-height: 20px; opacity: 0.4; }

.bannercontent.bottomleft { position: absolute; bottom: 0px; left: 0px; }

.bannercontent.bottomright { position: absolute; bottom: 0px; right: 0px; }

.bannercontent.topleft { position: absolute; top: 0px; left: 0px; }

.bannercontent.topright { position: absolute; top: 0px; right: 0px; }

.bannercontent.unpadded { padding: 0px; }


.bannercontent > img { float: right; }

.banner_box img { max-width: 100%; width: 100%; height: 100%; }


.expandtoggle { cursor: pointer; }

.expandtoggle.box_close { position: absolute; top: 10px; right: 10px; cursor: pointer; z-index: 11; }

.boxnavigation { cursor: pointer; width: 100%; height: 100%; }

/* accordion added by Alpesh */

.idealake_widget.heightdouble .box .boxcontent.accordioncontent, .idealake_widget .box.heightdouble .boxcontent.accordioncontent { height: 236px; }

.idealake_widget.heighttriple .box .boxcontent.accordioncontent, .idealake_widget .box.heighttriple .boxcontent.accordioncontent { height: 367px; }

.idealake_widget.heightquadruple .box .boxcontent.accordioncontent, .idealake_widget .box.heightquadruple .boxcontent.accordioncontent { height: 498px; }

.idealake_widget.heightquintuple .box .boxcontent.accordioncontent, .idealake_widget .box.heightquintuple .boxcontent.accordioncontent { height: 619px; }

.idealake_widget.heightsextuple .box .boxcontent.accordioncontent, .idealake_widget .box.heightsextuple .boxcontent.accordioncontent { height: 750px; }

.idealake_widget .box .boxcontent.accordioncontent .accordion h3.thinheader { background-image: none; height: 12px; font-size: 12px; }

.idealake_widget .box .boxcontent.accordioncontent .accordion h3.fatheader { background-image: none; height: 28px; }

.idealake_widget.heightdouble .boxcontent.accordioncontent .accordion { padding-right: 10px; }

.idealake_widget.heightdouble .boxcontent.accordioncontent .accordion .acc_content_scrollable { height: 75px; }

.idealake_widget.heighttriple .boxcontent.accordioncontent .accordion { padding-right: 10px; }

.idealake_widget.heighttriple .boxcontent.accordioncontent .accordion .acc_content_scrollable { height: 150px; }

.idealake_widget.heightquadruple .boxcontent.accordioncontent .accordion { padding-right: 10px; }

.idealake_widget.heightquadruple .boxcontent.accordioncontent .accordion .acc_content_scrollable { height: 200px; }

.idealake_widget.heightquintuple .boxcontent.accordioncontent .accordion { padding-right: 15px; }

.idealake_widget.heightquintuple .boxcontent.accordioncontent .accordion .acc_content_scrollable { height: 350px; }

.idealake_widget.heightsextuple .boxcontent.accordioncontent .accordion { padding-right: 15px; }

.idealake_widget.heightsextuple .boxcontent.accordioncontent .accordion .acc_content_scrollable { height: 400px; }

/*accordion ended*/


/* Widget Preview */

.widgeteditorpanel { float: left; }

.widgetpreview { float: right; height: 60px; width: 120px; margin: 0; padding: 0; border: 1px solid black; }

.widgetpreview .preview_widget { height: 18px; width: 18px; float: left; margin: 0; padding: 0; border: 1px solid black; }

.widgetpreview .widthdouble { width: 38px; }

.widgetpreview .widthtriple { width: 58px; }

.widgetpreview .widthquadruple { width: 78px; }

.widgetpreview .widthquintuple { width: 98px; }

.widgetpreview .widthsextuple { width: 118px; }

.widgetpreview .heightdouble { height: 38px; }

.widgetpreview .heighttriple { height: 58px; }

.widgetpreview .heightquadruple { height: 78px; }

.widgetpreview .heightquintuple { height: 98px; }

.widgetpreview .heightsextuple { height: 118px; }

.widgetpreview .orientation_right { float: right; }

/* End Widget Preview */

/*Widget Bottom less height*/

.idealake_widget.bottomlessheight { height: auto !important; min-height: 387px; }

.idealake_widget.bottomlessheight .box { height: auto !important; }

.idealake_widget.bottomlessheight .boxcontent { position: relative !important; }

/*End Widget Bottom less height*/

/*Start Halfleft css for Expander*/
.idealake_widget.idealake_widget_expander  .box.halfleft img.boximg, .idealake_widget.idealake_widget_expander .box.halfright img.boximg { width: 44%; }
/*End Halfleft css for Expander*/


.widget-Pattern1 { 
    background:url(../images/patterns/p01.png);
}

.widget-Pattern2 { 
    background:url(../images/patterns/p02.png);
}
.widget-Pattern3 { 
    background:url(../images/patterns/p03.png);
}
.widget-Pattern4 { 
    background:url(../images/patterns/p04.png);
}
.widget-Pattern5{ 
    background:url(../images/patterns/p05.png);
}
.widget-Pattern6 { 
    background:url(../images/patterns/p06.png);
}
.widget-Pattern7 { 
    background:url(../images/patterns/p07.png);
}
.widget-Pattern8 { 
    background:url(../images/patterns/p08.png);
}
.widget-Pattern9 { 
    background:url(../images/patterns/p09.png);
}
.widget-Pattern10 { 
    background:url(../images/patterns/p10.png);
}
.widget-Pattern11 { 
    background:url(../images/patterns/p11.png);
}
.widget-Pattern12 { 
    background:url(../images/patterns/p12.png);
}
.widget-Pattern13 { 
    background:url(../images/patterns/p13.png);
}



.idealake_widget_banner {
    overflow:visible;
}

    .idealake_widget_banner .banner_box.expandable {
        cursor:pointer;
    }

.idealake_widget_banner .expander_container .expander_box { /*visibility: hidden;*/ display: none; position: absolute; left: 0; top: 0; z-index: 101; /* To keep it above slim scroll */ overflow: hidden; }

    .idealake_widget_banner .expander_container .expander_box.expanded {
        display:block;
    }


    
.idealake_widget_banner .expander_box.leftdown { left: auto; right: 0; }

.idealake_widget_banner .expander_box.rightup { top: auto; bottom: 0; }

.idealake_widget_banner .expander_box.leftup { top: auto; left: auto; bottom: 0; right: 0; }